<?
include("../../conexion/class-sb-conexion.php");

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Lista de Usuarios</title>
<style type="text/css">
<!--
.Estilo7 {
	font-size: small;
	color: #000099;
}
.Estilo11 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: small; color: #000099; }
.Estilo13 {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 9px;
	color: #000099;
	text-decoration: underline;
}
.Estilo14 {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	color: #000099;
}
-->
</style>
<link href="../hojadeestilosjc.css" rel="stylesheet" type="text/css">
</head>

<body>
<?
$db = new sb_mysql();   
$sql_lp = "SELECT *  FROM sb_usuarios_lista where Codigo_Usuario='".$id2."'";
$consulta = $db->consulta_free($sql_lp);
$resultado = $db->sb_array($consulta);

?>
<table border="0" width="69%">
<tr>
		<td height="23"><div align="center" class="titulos2"> Usuario: 	<?=$resultado['Nombre_Usuario']?> </div></td>
  </tr>
 
</table>
<div align="center"></div>
<form action="" method="post" enctype="multipart/form-data" name="form1" target="_self">
  <table width="45%" border="1" align="center" cellspacing="0">
  <tr bgcolor="#00CCFF" class="detalle_tablas_II_negrita" style="font-size:12px">
    <th width="56%" scope="col">Menu</th>
	<th width="14%" scope="col">Permiso</th>
    <th width="14%" scope="col">Autoriza</th>
    <th width="14%" scope="col">Editar</th>
	<th width="14%" scope="col">Crear</th>
    <th width="14%" scope="col">Grabar</th>
    <th width="14%" scope="col">Eliminar</th>
     <th width="14%" scope="col">OK</th>
    </tr>
<?
$cont=0;
//$db = new sb_mysql();   
$sql_lp = "SELECT *  FROM sb_menu_nombres ORDER BY descripcion";
$consulta = $db->consulta_free($sql_lp);
//echo $sql_lp;
//$resultado = mysql_query($sql_lp,$enlace);
while ($resultado = $db->sb_array($consulta))
	{
	$id_codigo[$cont]= $resultado['Id'];//mysql_result($resultado, $cont, "Id");
	$id_nombre= $resultado['descripcion'];//mysql_result($resultado, $cont, "descripcion");
	
	$id_ma[$cont]=0;
	$permiso[$cont]=0;
	$editar[$cont]=0;
	$crear[$cont]=0;
	$grabar[$cont]=0;
	$eliminar[$cont]=0;
	
	$sql_ma = "SELECT *  FROM sb_menu_autoriza WHERE id_menu_nombres=$id_codigo[$cont] AND id_usuario='$id2' AND id_empresa='$empresa_global'";
	
	//echo $sql_ma;
	$consulta2 = $db->consulta_free($sql_ma);
    
	 //$res_ma = mysql_query($sql_ma,$enlace);
    while ($resultado2 = $db->sb_array($consulta2))
	{
	$id_ma[$cont]=$resultado2['Id'];//mysql_result($res_ma, 0, "Id");
	$permiso[$cont]=1;
	$editar[$cont]=$resultado2['editar'];//mysql_result($res_ma, 0, "editar");
	//echo $editar[$cont]."<br>";
	$crear[$cont]=$resultado2['crear'];//mysql_result($res_ma, 0, "crear");
	$grabar[$cont]=$resultado2['grabar'];//mysql_result($res_ma, 0, "grabar");
	$eliminar[$cont]=$resultado2['eliminar'];//mysql_result($res_ma, 0, "eliminar");
	}
?>
	<tr bgcolor="#CBFEC2">
	  <td class="Estilo14"><div align="left"><?=$id_nombre;?></div></td>
       <td><div align="center"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
	<input name="permiso[<?=$cont;?>]" id="permiso[<?=$cont;?>]" type="text" value="<?=$permiso[$cont];?>"  style="text-align:center;width:30%" readonly=readonly >        
	  </font></strong></div></td>
      
      <td class="Estilo14"><div align="center">
		<span align="center" class="Estilo13" onClick="fun_estado('<?=$cont;?>');" style="cursor:pointer" title="Click aqui para Autorizar o Borrar">
		<img src="../../Images/ir.gif"></span>
	</td>		
    
     
	<td><div align="center"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
	<input name="editar[<?=$cont;?>]" id="editar[<?=$cont;?>]" type="text" value="<?=$editar[$cont];?>" Onclick="fun_editar('<?=$cont;?>');" style="text-align:center;width:30%" readonly=readonly >        
	  </font></strong></div></td>
      <td><div align="center"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
	<input name="crear[<?=$cont;?>]" id="crear[<?=$cont;?>]" type="text" value="<?=$crear[$cont];?>" Onclick="fun_crear('<?=$cont;?>');" style="text-align:center;width:30%" readonly=readonly >        
	  </font></strong></div></td>
      <td><div align="center"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
	<input name="grabar[<?=$cont;?>]" id="grabar[<?=$cont;?>]" type="text" value="<?=$grabar[$cont];?>" Onclick="fun_grabar('<?=$cont;?>');" style="text-align:center;width:30%" readonly=readonly >        
	  </font></strong></div></td>
      <td><div align="center"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
	<input name="eliminar[<?=$cont;?>]" id="eliminar[<?=$cont;?>]" type="text" value="<?=$eliminar[$cont];?>" Onclick="fun_eliminar('<?=$cont;?>');" style="text-align:center;width:30%" > 
           
	  </font></strong></div></td>
       <td class="Estilo14"><div align="center">
		<span align="center" class="Estilo13" onClick="graba('<?=$cont;?>');" style="cursor:pointer" title="Click aqui para Autorizar o Borrar">
		<img src="../../Images/ir.gif"></span>
	</td>	
      	
     <td>   
     <input name="id_codigo[<?=$cont;?>]" id="id_codigo[<?=$cont;?>]" type="hidden" value="<?=$id_codigo[$cont];?>" >  
      <input name="id_ma[<?=$cont;?>]" id="id_ma[<?=$cont;?>]" type="hidden" value="<?=$id_ma[$cont];?>" > 
       <input name="us" id="us" type="hidden" value="<?=$codigo_usuario;?>" >
	  </td>     
        
	</tr>
	<?
	$cont=$cont+1;
	}
	$cantidad=$cont;
	?>
    
	</table>
   
     
</form>
</body>
</html>

<script language="javascript" type="text/javascript">

function PopWindow(pagina)
	{
	window.open(pagina,'TEST','width=1,height=1,menubar=no,scrollbars=yes,toolbar=no,location=no,directories=no,resizable=no,top=70,left=300');
	}

function graba(donde)
	{
	
	PopWindow('guarda_perfil_linea.php?id2=<?=$id2?>&idco='+document.getElementById("id_codigo["+donde+"]").value+'&idma='+document.getElementById("id_ma["+donde+"]").value+'&pe='+document.getElementById("permiso["+donde+"]").value+'&ed='+document.getElementById("editar["+donde+"]").value+'&cr='+document.getElementById("crear["+donde+"]").value+'&gr='+document.getElementById("grabar["+donde+"]").value+'&el='+document.getElementById("eliminar["+donde+"]").value+'&us='+document.getElementById("us").value);
			
	} 
	
function enviar()
	{
	document.form1.action = "guarda_perfil.php";
	document.form1.submit();
	} 

function fun_estado(donde)	
	{
	var estado; 
	estado = document.getElementById("permiso["+donde+"]").value;
	if (estado==0) {estado=1;}
	else {estado=0;}
	document.getElementById("permiso["+donde+"]").value=estado; 
	document.getElementById("editar["+donde+"]").value=estado;
	document.getElementById("crear["+donde+"]").value=estado;
	document.getElementById("grabar["+donde+"]").value=estado;
	document.getElementById("eliminar["+donde+"]").value=estado;
	}	
	
function fun_editar(donde)	
	{
	var estado; 
	estado = document.getElementById("editar["+donde+"]").value;
	if (estado==0) {estado=1; document.getElementById("permiso["+donde+"]").value=1; }
	else {estado=0;}
	document.getElementById("editar["+donde+"]").value=estado; 
	}
	
function fun_crear(donde)	
	{
	var estado; 
	estado = document.getElementById("crear["+donde+"]").value;
	if (estado==0) {estado=1; document.getElementById("permiso["+donde+"]").value=1;}
	else {estado=0;}
	document.getElementById("crear["+donde+"]").value=estado; 
	}
	
function fun_grabar(donde)	
	{
	var estado; 
	estado = document.getElementById("grabar["+donde+"]").value;
	if (estado==0) {estado=1; document.getElementById("permiso["+donde+"]").value=1;}
	else {estado=0;}
	document.getElementById("grabar["+donde+"]").value=estado; 
	}
	
function fun_eliminar(donde)	
	{
	var estado; 
	estado = document.getElementById("eliminar["+donde+"]").value;
	if (estado==0) {estado=1; document.getElementById("permiso["+donde+"]").value=1;}
	else {estado=0;}
	document.getElementById("eliminar["+donde+"]").value=estado; 
	}
	  
function marcatodo()	
	{
	var t,estado; 
		t = document.getElementById("cantidad").value;
		for(var i=0; i<t; i++) 
		 {
     	estado = document.getElementById("permiso["+i+"]").value;
	
		if (estado==0) {estado=1;}
		else {estado=0;}
		document.getElementById("permiso["+i+"]").value=estado; 
		document.getElementById("permiso["+i+"]").value=estado; 
	    document.getElementById("editar["+i+"]").value=estado;
	    document.getElementById("crear["+i+"]").value=estado;
	    document.getElementById("grabar["+i+"]").value=estado;
	    document.getElementById("eliminar["+i+"]").value=estado;
	
		}
	}
</script>

